<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: tinyxml2::XMLConstHandle Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('classtinyxml2_1_1_x_m_l_const_handle.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classtinyxml2_1_1_x_m_l_const_handle-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">tinyxml2::XMLConstHandle Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="tinyxml2_8h_source.html">tinyxml2.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a098bda71fa11d7c74ccddab59d5dd534" id="r_a098bda71fa11d7c74ccddab59d5dd534"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a098bda71fa11d7c74ccddab59d5dd534">XMLConstHandle</a> (const <a class="el" href="classtinyxml2_1_1_x_m_l_node.html">XMLNode</a> *node)</td></tr>
<tr class="separator:a098bda71fa11d7c74ccddab59d5dd534"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8420a0c4720637e0529e78c2e22f2b0b" id="r_a8420a0c4720637e0529e78c2e22f2b0b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a8420a0c4720637e0529e78c2e22f2b0b">XMLConstHandle</a> (const <a class="el" href="classtinyxml2_1_1_x_m_l_node.html">XMLNode</a> &amp;node)</td></tr>
<tr class="separator:a8420a0c4720637e0529e78c2e22f2b0b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a639317ad315ff24f4ef0dc69312d7303" id="r_a639317ad315ff24f4ef0dc69312d7303"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a639317ad315ff24f4ef0dc69312d7303">XMLConstHandle</a> (const <a class="el" href="classtinyxml2_1_1_x_m_l_const_handle.html">XMLConstHandle</a> &amp;ref)</td></tr>
<tr class="separator:a639317ad315ff24f4ef0dc69312d7303"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20dc2bff68ba553081d4bd551dd251b4" id="r_a20dc2bff68ba553081d4bd551dd251b4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtinyxml2_1_1_x_m_l_const_handle.html">XMLConstHandle</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a20dc2bff68ba553081d4bd551dd251b4">operator=</a> (const <a class="el" href="classtinyxml2_1_1_x_m_l_const_handle.html">XMLConstHandle</a> &amp;ref)</td></tr>
<tr class="separator:a20dc2bff68ba553081d4bd551dd251b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef06bd16cb308652a32b864b0a743136" id="r_aef06bd16cb308652a32b864b0a743136"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classtinyxml2_1_1_x_m_l_const_handle.html">XMLConstHandle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aef06bd16cb308652a32b864b0a743136">FirstChild</a> () const</td></tr>
<tr class="separator:aef06bd16cb308652a32b864b0a743136"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac747db472ffc55c5af2e82ffec813640" id="r_ac747db472ffc55c5af2e82ffec813640"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classtinyxml2_1_1_x_m_l_const_handle.html">XMLConstHandle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ac747db472ffc55c5af2e82ffec813640">FirstChildElement</a> (const char *name=0) const</td></tr>
<tr class="separator:ac747db472ffc55c5af2e82ffec813640"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a908436124990f3d7b35cb7df20d31d9e" id="r_a908436124990f3d7b35cb7df20d31d9e"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classtinyxml2_1_1_x_m_l_const_handle.html">XMLConstHandle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a908436124990f3d7b35cb7df20d31d9e">LastChild</a> () const</td></tr>
<tr class="separator:a908436124990f3d7b35cb7df20d31d9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9de0475ec42bd50c0e64624a250ba5b2" id="r_a9de0475ec42bd50c0e64624a250ba5b2"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classtinyxml2_1_1_x_m_l_const_handle.html">XMLConstHandle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a9de0475ec42bd50c0e64624a250ba5b2">LastChildElement</a> (const char *name=0) const</td></tr>
<tr class="separator:a9de0475ec42bd50c0e64624a250ba5b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf68cc7930e4ac883e0c7e16ef2fbb66" id="r_acf68cc7930e4ac883e0c7e16ef2fbb66"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classtinyxml2_1_1_x_m_l_const_handle.html">XMLConstHandle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#acf68cc7930e4ac883e0c7e16ef2fbb66">PreviousSibling</a> () const</td></tr>
<tr class="separator:acf68cc7930e4ac883e0c7e16ef2fbb66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef99308659f2617299ac29980769a91e" id="r_aef99308659f2617299ac29980769a91e"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classtinyxml2_1_1_x_m_l_const_handle.html">XMLConstHandle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aef99308659f2617299ac29980769a91e">PreviousSiblingElement</a> (const char *name=0) const</td></tr>
<tr class="separator:aef99308659f2617299ac29980769a91e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec3710e455f41014026ef17fbbb0efb3" id="r_aec3710e455f41014026ef17fbbb0efb3"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classtinyxml2_1_1_x_m_l_const_handle.html">XMLConstHandle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aec3710e455f41014026ef17fbbb0efb3">NextSibling</a> () const</td></tr>
<tr class="separator:aec3710e455f41014026ef17fbbb0efb3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c9e6b48b02d3d5232e1e8780753d8a5" id="r_a3c9e6b48b02d3d5232e1e8780753d8a5"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classtinyxml2_1_1_x_m_l_const_handle.html">XMLConstHandle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a3c9e6b48b02d3d5232e1e8780753d8a5">NextSiblingElement</a> (const char *name=0) const</td></tr>
<tr class="separator:a3c9e6b48b02d3d5232e1e8780753d8a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf5e56303beb69f7c31ecf8d8f93ddf8" id="r_acf5e56303beb69f7c31ecf8d8f93ddf8"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classtinyxml2_1_1_x_m_l_node.html">XMLNode</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#acf5e56303beb69f7c31ecf8d8f93ddf8">ToNode</a> () const</td></tr>
<tr class="separator:acf5e56303beb69f7c31ecf8d8f93ddf8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e714a5153200f0d6ab5339395cb261f" id="r_a3e714a5153200f0d6ab5339395cb261f"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classtinyxml2_1_1_x_m_l_element.html">XMLElement</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a3e714a5153200f0d6ab5339395cb261f">ToElement</a> () const</td></tr>
<tr class="separator:a3e714a5153200f0d6ab5339395cb261f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0cc762ed67b245ed82fe035628264266" id="r_a0cc762ed67b245ed82fe035628264266"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classtinyxml2_1_1_x_m_l_text.html">XMLText</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a0cc762ed67b245ed82fe035628264266">ToText</a> () const</td></tr>
<tr class="separator:a0cc762ed67b245ed82fe035628264266"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64bca7dc37dadcd1da8584c97a20397e" id="r_a64bca7dc37dadcd1da8584c97a20397e"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classtinyxml2_1_1_x_m_l_unknown.html">XMLUnknown</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a64bca7dc37dadcd1da8584c97a20397e">ToUnknown</a> () const</td></tr>
<tr class="separator:a64bca7dc37dadcd1da8584c97a20397e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a729c41ba82a7a143a749786a265fb6ff" id="r_a729c41ba82a7a143a749786a265fb6ff"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classtinyxml2_1_1_x_m_l_declaration.html">XMLDeclaration</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a729c41ba82a7a143a749786a265fb6ff">ToDeclaration</a> () const</td></tr>
<tr class="separator:a729c41ba82a7a143a749786a265fb6ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ad4d8db839660ef730adfa2439945c4da" id="r_ad4d8db839660ef730adfa2439945c4da"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classtinyxml2_1_1_x_m_l_node.html">XMLNode</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ad4d8db839660ef730adfa2439945c4da">_node</a></td></tr>
<tr class="separator:ad4d8db839660ef730adfa2439945c4da"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A variant of the <a class="el" href="classtinyxml2_1_1_x_m_l_handle.html">XMLHandle</a> class for working with const XMLNodes and Documents. It is the same in all regards, except for the 'const' qualifiers. See <a class="el" href="classtinyxml2_1_1_x_m_l_handle.html">XMLHandle</a> for API. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a098bda71fa11d7c74ccddab59d5dd534" name="a098bda71fa11d7c74ccddab59d5dd534"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a098bda71fa11d7c74ccddab59d5dd534">&#9670;&#160;</a></span>XMLConstHandle() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">tinyxml2::XMLConstHandle::XMLConstHandle </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtinyxml2_1_1_x_m_l_node.html">XMLNode</a> *</td>          <td class="paramname"><span class="paramname"><em>node</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a8420a0c4720637e0529e78c2e22f2b0b" name="a8420a0c4720637e0529e78c2e22f2b0b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8420a0c4720637e0529e78c2e22f2b0b">&#9670;&#160;</a></span>XMLConstHandle() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">tinyxml2::XMLConstHandle::XMLConstHandle </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtinyxml2_1_1_x_m_l_node.html">XMLNode</a> &amp;</td>          <td class="paramname"><span class="paramname"><em>node</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a639317ad315ff24f4ef0dc69312d7303" name="a639317ad315ff24f4ef0dc69312d7303"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a639317ad315ff24f4ef0dc69312d7303">&#9670;&#160;</a></span>XMLConstHandle() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">tinyxml2::XMLConstHandle::XMLConstHandle </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtinyxml2_1_1_x_m_l_const_handle.html">XMLConstHandle</a> &amp;</td>          <td class="paramname"><span class="paramname"><em>ref</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aef06bd16cb308652a32b864b0a743136" name="aef06bd16cb308652a32b864b0a743136"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aef06bd16cb308652a32b864b0a743136">&#9670;&#160;</a></span>FirstChild()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classtinyxml2_1_1_x_m_l_const_handle.html">XMLConstHandle</a> tinyxml2::XMLConstHandle::FirstChild </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac747db472ffc55c5af2e82ffec813640" name="ac747db472ffc55c5af2e82ffec813640"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac747db472ffc55c5af2e82ffec813640">&#9670;&#160;</a></span>FirstChildElement()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classtinyxml2_1_1_x_m_l_const_handle.html">XMLConstHandle</a> tinyxml2::XMLConstHandle::FirstChildElement </td>
          <td>(</td>
          <td class="paramtype">const char *</td>          <td class="paramname"><span class="paramname"><em>name</em><span class="paramdefsep"> = </span><span class="paramdefval">0</span></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a908436124990f3d7b35cb7df20d31d9e" name="a908436124990f3d7b35cb7df20d31d9e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a908436124990f3d7b35cb7df20d31d9e">&#9670;&#160;</a></span>LastChild()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classtinyxml2_1_1_x_m_l_const_handle.html">XMLConstHandle</a> tinyxml2::XMLConstHandle::LastChild </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a9de0475ec42bd50c0e64624a250ba5b2" name="a9de0475ec42bd50c0e64624a250ba5b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9de0475ec42bd50c0e64624a250ba5b2">&#9670;&#160;</a></span>LastChildElement()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classtinyxml2_1_1_x_m_l_const_handle.html">XMLConstHandle</a> tinyxml2::XMLConstHandle::LastChildElement </td>
          <td>(</td>
          <td class="paramtype">const char *</td>          <td class="paramname"><span class="paramname"><em>name</em><span class="paramdefsep"> = </span><span class="paramdefval">0</span></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aec3710e455f41014026ef17fbbb0efb3" name="aec3710e455f41014026ef17fbbb0efb3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aec3710e455f41014026ef17fbbb0efb3">&#9670;&#160;</a></span>NextSibling()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classtinyxml2_1_1_x_m_l_const_handle.html">XMLConstHandle</a> tinyxml2::XMLConstHandle::NextSibling </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3c9e6b48b02d3d5232e1e8780753d8a5" name="a3c9e6b48b02d3d5232e1e8780753d8a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c9e6b48b02d3d5232e1e8780753d8a5">&#9670;&#160;</a></span>NextSiblingElement()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classtinyxml2_1_1_x_m_l_const_handle.html">XMLConstHandle</a> tinyxml2::XMLConstHandle::NextSiblingElement </td>
          <td>(</td>
          <td class="paramtype">const char *</td>          <td class="paramname"><span class="paramname"><em>name</em><span class="paramdefsep"> = </span><span class="paramdefval">0</span></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a20dc2bff68ba553081d4bd551dd251b4" name="a20dc2bff68ba553081d4bd551dd251b4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a20dc2bff68ba553081d4bd551dd251b4">&#9670;&#160;</a></span>operator=()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classtinyxml2_1_1_x_m_l_const_handle.html">XMLConstHandle</a> &amp; tinyxml2::XMLConstHandle::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtinyxml2_1_1_x_m_l_const_handle.html">XMLConstHandle</a> &amp;</td>          <td class="paramname"><span class="paramname"><em>ref</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="acf68cc7930e4ac883e0c7e16ef2fbb66" name="acf68cc7930e4ac883e0c7e16ef2fbb66"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf68cc7930e4ac883e0c7e16ef2fbb66">&#9670;&#160;</a></span>PreviousSibling()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classtinyxml2_1_1_x_m_l_const_handle.html">XMLConstHandle</a> tinyxml2::XMLConstHandle::PreviousSibling </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aef99308659f2617299ac29980769a91e" name="aef99308659f2617299ac29980769a91e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aef99308659f2617299ac29980769a91e">&#9670;&#160;</a></span>PreviousSiblingElement()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classtinyxml2_1_1_x_m_l_const_handle.html">XMLConstHandle</a> tinyxml2::XMLConstHandle::PreviousSiblingElement </td>
          <td>(</td>
          <td class="paramtype">const char *</td>          <td class="paramname"><span class="paramname"><em>name</em><span class="paramdefsep"> = </span><span class="paramdefval">0</span></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a729c41ba82a7a143a749786a265fb6ff" name="a729c41ba82a7a143a749786a265fb6ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a729c41ba82a7a143a749786a265fb6ff">&#9670;&#160;</a></span>ToDeclaration()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classtinyxml2_1_1_x_m_l_declaration.html">XMLDeclaration</a> * tinyxml2::XMLConstHandle::ToDeclaration </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3e714a5153200f0d6ab5339395cb261f" name="a3e714a5153200f0d6ab5339395cb261f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3e714a5153200f0d6ab5339395cb261f">&#9670;&#160;</a></span>ToElement()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classtinyxml2_1_1_x_m_l_element.html">XMLElement</a> * tinyxml2::XMLConstHandle::ToElement </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="acf5e56303beb69f7c31ecf8d8f93ddf8" name="acf5e56303beb69f7c31ecf8d8f93ddf8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf5e56303beb69f7c31ecf8d8f93ddf8">&#9670;&#160;</a></span>ToNode()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classtinyxml2_1_1_x_m_l_node.html">XMLNode</a> * tinyxml2::XMLConstHandle::ToNode </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0cc762ed67b245ed82fe035628264266" name="a0cc762ed67b245ed82fe035628264266"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0cc762ed67b245ed82fe035628264266">&#9670;&#160;</a></span>ToText()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classtinyxml2_1_1_x_m_l_text.html">XMLText</a> * tinyxml2::XMLConstHandle::ToText </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a64bca7dc37dadcd1da8584c97a20397e" name="a64bca7dc37dadcd1da8584c97a20397e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a64bca7dc37dadcd1da8584c97a20397e">&#9670;&#160;</a></span>ToUnknown()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classtinyxml2_1_1_x_m_l_unknown.html">XMLUnknown</a> * tinyxml2::XMLConstHandle::ToUnknown </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ad4d8db839660ef730adfa2439945c4da" name="ad4d8db839660ef730adfa2439945c4da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad4d8db839660ef730adfa2439945c4da">&#9670;&#160;</a></span>_node</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classtinyxml2_1_1_x_m_l_node.html">XMLNode</a>* tinyxml2::XMLConstHandle::_node</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>C:/Data/Git/MeLOn/feedforward neural network/model/dep/tinyxml2/inc/<a class="el" href="tinyxml2_8h_source.html">tinyxml2.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacetinyxml2.html">tinyxml2</a></li><li class="navelem"><a class="el" href="classtinyxml2_1_1_x_m_l_const_handle.html">XMLConstHandle</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
